%define	name	gproftpd
%define	version	8.0.8
%define	release 1mdk

Summary:	GProFTPD is a GNOME2 GUI tool for the Configuration of proftpd
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Other
License:	GPL
Url:		http://mange.dynup.net/linux.html
Source:		%{name}-%{version}.tar.bz2

Requires:	proftpd >= 1.2.8
Requires:	gksu

BuildRequires:	libGConf2_4-devel
BuildRequires:	libMesaGLU1-devel
BuildRequires:	libORBit2_0-devel
BuildRequires:	libart_lgpl2-devel
BuildRequires:	libatk1.0_0-devel
BuildRequires:	libbonobo2_0-devel
BuildRequires:	libgdk_pixbuf2.0_0-devel
BuildRequires:	libglib2.0_0-devel
BuildRequires:	libgnome-vfs2_0-devel
BuildRequires:	libgnome2_0-devel
BuildRequires:	libgnomecanvas2_0-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	libgtk+2.0_0-devel
BuildRequires:	liblinc1-devel
BuildRequires:	libpango1.0_0-devel
BuildRequires:	libwraster2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxpm4-devel
BuildRequires:	pkgconfig
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
GProftpd is a fast and easy to use GNOME2 administration tool for
the Proftpd standalone server.

%prep
%setup -q

%build
%configure2_5x
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall
install -d %{buildroot}/%{_bindir}
mv %{buildroot}/%{_sbindir}/* %{buildroot}/%{_bindir}

# Mandrake Icons
install -d %buildroot/%_iconsdir
install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -m644 pixmaps/gproftpd32.png %buildroot/%_iconsdir/gproftpd.png
install -m644 pixmaps/gproftpd16.png %buildroot/%_miconsdir/gproftpd.png
install -m644 pixmaps/gproftpd48.png %buildroot/%_liconsdir/gproftpd.png

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="gksu %{name}" \
title="GProftpd " \
longtitle="Proftpd administration tool" \
needs="x11" \
icon="%{name}.png" \
section="Configuration/Networking"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%name
%{_bindir}/gprostats
%config(noreplace) %{_sysconfdir}/%name
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Wed Sep 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 8.0.8-1mdk
- 8.0.8

* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.7-2mdk
- buildrequires pkgconfig

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 8.0.7-1mdk
- 8.0.7
- prompt for root password
- simplify install
- remove a few extraneous (build)requires
- use Mandrake icon system

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.6-1mdk
- 8.0.6
- use the %%configure2_5x macro

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.5-1mdk
- 8.0.5

* Wed May 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.4-1mdk
- 8.0.4
- added the %{_bindir}/gprostats utility

* Fri Apr 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.3-1mdk
- 8.0.3
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.1-1mdk
- 8.0.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-2mdk
- build release

* Fri Aug 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 8.0.0-1mdk
- new gnome2 version + icons, thanks Magnus!
- first try at a menu entry for gproftpd

* Thu Aug 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-2mdk
- fix BuildRequires and %%description

* Wed Aug 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 7.4.3-1mdk
- used the GnoSamba spec file as template
- initial cooker contrib

